langcode: en
status: true
dependencies:
  config:
    - search_api.index.contacts_job_index
    - system.menu.main
  module:
    - search_api
    - user
id: contacts_jobs_list
label: 'Jobs List'
module: views
description: ''
tag: ''
base_table: search_api_index_contacts_job_index
base_field: search_api_id
display:
  default:
    id: default
    display_title: Master
    display_plugin: default
    position: 0
    display_options:
      title: Jobs
      fields:
        changed:
          id: changed
          table: search_api_index_contacts_job_index
          field: changed
          relationship: none
          group_type: group
          admin_label: ''
          entity_type: null
          entity_field: null
          plugin_id: search_api_field
          label: ''
          exclude: false
          alter:
            alter_text: false
            text: ''
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: true
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: value
          type: timestamp
          settings: {  }
          group_column: value
          group_columns: {  }
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ', '
          field_api_classes: false
          field_rendering: true
          fallback_handler: search_api_date
          fallback_options:
            date_format: small
            custom_date_format: ''
            timezone: ''
            link_to_item: false
            use_highlighting: false
            multi_type: separator
            multi_separator: ', '
      pager:
        type: full
        options:
          offset: 0
          items_per_page: 10
          total_pages: null
          id: 0
          tags:
            next: ››
            previous: ‹‹
            first: '« First'
            last: 'Last »'
          expose:
            items_per_page: false
            items_per_page_label: 'Items per page'
            items_per_page_options: '5, 10, 25, 50'
            items_per_page_options_all: false
            items_per_page_options_all_label: '- All -'
            offset: false
            offset_label: Offset
          quantity: 9
      exposed_form:
        type: basic
        options:
          submit_button: Apply
          reset_button: true
          reset_button_label: Reset
          exposed_sorts_label: 'Sort by'
          expose_sort_order: false
          sort_asc_label: Asc
          sort_desc_label: Desc
      access:
        type: perm
        options:
          perm: 'view published job entities'
      cache:
        type: search_api_tag
        options: {  }
      empty:
        area:
          id: area
          table: views
          field: area
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: text
          empty: true
          content:
            value: 'There are no jobs matching your request.'
            format: basic_html
          tokenize: false
      sorts:
        created:
          id: created
          table: search_api_index_contacts_job_index
          field: created
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api
          order: DESC
          expose:
            label: 'Date posted'
            field_identifier: created
          exposed: true
        closing:
          id: closing
          table: search_api_index_contacts_job_index
          field: closing
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api
          order: ASC
          expose:
            label: 'Closing date'
            field_identifier: closing
          exposed: true
      arguments: {  }
      filters:
        publish_start:
          id: publish_start
          table: search_api_index_contacts_job_index
          field: publish_start
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api_date
          operator: '<='
          value:
            min: ''
            max: ''
            value: now
            type: offset
          group: 2
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            operator_limit_selection: false
            operator_list: {  }
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            min_placeholder: ''
            max_placeholder: ''
            placeholder: ''
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
        publish_end:
          id: publish_end
          table: search_api_index_contacts_job_index
          field: publish_end
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api_date
          operator: '>='
          value:
            min: ''
            max: ''
            value: now
            type: offset
          group: 3
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            operator_limit_selection: false
            operator_list: {  }
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            min_placeholder: ''
            max_placeholder: ''
            placeholder: ''
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
        publish_end_1:
          id: publish_end_1
          table: search_api_index_contacts_job_index
          field: publish_end
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api_date
          operator: empty
          value:
            min: ''
            max: ''
            value: ''
            type: date
          group: 3
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            operator_limit_selection: false
            operator_list: {  }
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            min_placeholder: ''
            max_placeholder: ''
            placeholder: ''
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
        closing:
          id: closing
          table: search_api_index_contacts_job_index
          field: closing
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api_date
          operator: '>'
          value:
            min: ''
            max: ''
            value: now
            type: offset
          group: 4
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            operator_limit_selection: false
            operator_list: {  }
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            min_placeholder: ''
            max_placeholder: ''
            placeholder: ''
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
        search_api_fulltext:
          id: search_api_fulltext
          table: search_api_index_contacts_job_index
          field: search_api_fulltext
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api_fulltext
          operator: or
          value: ''
          group: 1
          exposed: true
          expose:
            operator_id: search_api_fulltext_op
            label: 'Search jobs...'
            description: ''
            use_operator: false
            operator: search_api_fulltext_op
            operator_limit_selection: false
            operator_list: {  }
            identifier: keys
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
              anonymous: '0'
              crm_indiv: '0'
              crm_org: '0'
            placeholder: ''
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          parse_mode: terms
          min_length: null
          fields: {  }
      filter_groups:
        operator: AND
        groups:
          1: AND
          2: OR
          3: OR
          4: AND
      style:
        type: grid
        options:
          uses_fields: false
          columns: 1
          automatic_width: false
          alignment: horizontal
          row_class_custom: row
          row_class_default: false
          col_class_custom: col
          col_class_default: false
      row:
        type: search_api
        options:
          view_modes:
            'entity:contacts_job':
              job: listing
              mentoring_job: listing
      query:
        type: search_api_query
        options:
          bypass_access: false
          skip_access: false
      relationships: {  }
      header: {  }
      footer: {  }
      display_extenders: {  }
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url
        - url.query_args
        - 'url.query_args:sort_by'
        - user.permissions
      tags:
        - 'config:search_api.index.contacts_job_index'
  homepage_block:
    id: homepage_block
    display_title: 'Block (Homepage)'
    display_plugin: block
    position: 2
    display_options:
      pager:
        type: some
        options:
          offset: 0
          items_per_page: 3
      cache:
        type: none
      sorts:
        closing:
          id: closing
          table: search_api_index_contacts_job_index
          field: closing
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api
          order: ASC
          expose:
            label: 'Closing date'
            field_identifier: closing
          exposed: false
      filters:
        publish_start:
          id: publish_start
          table: search_api_index_contacts_job_index
          field: publish_start
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api_date
          operator: '<='
          value:
            min: ''
            max: ''
            value: now
            type: offset
          group: 2
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            operator_limit_selection: false
            operator_list: {  }
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            min_placeholder: ''
            max_placeholder: ''
            placeholder: ''
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
        publish_end:
          id: publish_end
          table: search_api_index_contacts_job_index
          field: publish_end
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api_date
          operator: '>='
          value:
            min: ''
            max: ''
            value: now
            type: offset
          group: 3
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            operator_limit_selection: false
            operator_list: {  }
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            min_placeholder: ''
            max_placeholder: ''
            placeholder: ''
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
        publish_end_1:
          id: publish_end_1
          table: search_api_index_contacts_job_index
          field: publish_end
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api_date
          operator: empty
          value:
            min: ''
            max: ''
            value: ''
            type: date
          group: 3
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            operator_limit_selection: false
            operator_list: {  }
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            min_placeholder: ''
            max_placeholder: ''
            placeholder: ''
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
        closing_1:
          id: closing_1
          table: search_api_index_contacts_job_index
          field: closing
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api_date
          operator: '>'
          value:
            min: ''
            max: ''
            value: '+14 days'
            type: offset
          group: 1
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            operator_limit_selection: false
            operator_list: {  }
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            min_placeholder: ''
            max_placeholder: ''
            placeholder: ''
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
      filter_groups:
        operator: AND
        groups:
          1: AND
          2: OR
          3: OR
          4: AND
      style:
        type: grid
        options:
          uses_fields: false
          columns: 1
          automatic_width: false
          alignment: horizontal
          row_class_custom: row
          row_class_default: false
          col_class_custom: col
          col_class_default: false
      row:
        type: search_api
        options:
          view_modes:
            'entity:contacts_job':
              job: homepage
              mentoring_job: homepage
      defaults:
        cache: false
        pager: false
        style: false
        row: false
        sorts: false
        filters: false
        filter_groups: false
      display_description: ''
      exposed_block: true
      display_extenders: {  }
      block_description: 'Job board (Homepage)'
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - user.permissions
      tags:
        - 'config:search_api.index.contacts_job_index'
  listings:
    id: listings
    display_title: 'Jobs page'
    display_plugin: page
    position: 3
    display_options:
      display_description: ''
      display_extenders: {  }
      path: jobs
      menu:
        type: normal
        title: Jobs
        description: ''
        weight: 0
        expanded: false
        menu_name: main
        parent: ''
        context: '0'
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url
        - url.query_args
        - 'url.query_args:sort_by'
        - user.permissions
      tags:
        - 'config:search_api.index.contacts_job_index'
  my_active:
    display_plugin: page
    id: my_active
    display_title: 'My active'
    position: 2
    display_options:
      display_extenders: {  }
      display_description: ''
      path: jobs/my-active
      filters:
        publish_start:
          id: publish_start
          table: search_api_index_contacts_job_index
          field: publish_start
          relationship: none
          group_type: group
          admin_label: ''
          operator: '<='
          value:
            min: ''
            max: ''
            value: now
            type: offset
          group: 2
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            placeholder: ''
            min_placeholder: ''
            max_placeholder: ''
            operator_limit_selection: false
            operator_list: {  }
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          plugin_id: search_api_date
        publish_end:
          id: publish_end
          table: search_api_index_contacts_job_index
          field: publish_end
          relationship: none
          group_type: group
          admin_label: ''
          operator: '>='
          value:
            min: ''
            max: ''
            value: now
            type: offset
          group: 3
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            placeholder: ''
            min_placeholder: ''
            max_placeholder: ''
            operator_limit_selection: false
            operator_list: {  }
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          plugin_id: search_api_date
        publish_end_1:
          id: publish_end_1
          table: search_api_index_contacts_job_index
          field: publish_end
          relationship: none
          group_type: group
          admin_label: ''
          operator: empty
          value:
            min: ''
            max: ''
            value: ''
            type: date
          group: 3
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            placeholder: ''
            min_placeholder: ''
            max_placeholder: ''
            operator_limit_selection: false
            operator_list: {  }
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          plugin_id: search_api_date
        closing:
          id: closing
          table: search_api_index_contacts_job_index
          field: closing
          relationship: none
          group_type: group
          admin_label: ''
          operator: '>'
          value:
            min: ''
            max: ''
            value: now
            type: offset
          group: 4
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            placeholder: ''
            min_placeholder: ''
            max_placeholder: ''
            operator_limit_selection: false
            operator_list: {  }
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          plugin_id: search_api_date
      defaults:
        filters: false
        filter_groups: false
        title: false
      filter_groups:
        operator: AND
        groups:
          1: AND
          2: OR
          3: OR
          4: AND
      title: 'My active jobs'
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url
        - url.query_args
        - 'url.query_args:sort_by'
        - 'url.query_args:sort_order'
        - user
        - user.roles
      tags: {  }
  my_expired:
    display_plugin: page
    id: my_expired
    display_title: 'My expired'
    position: 3
    display_options:
      display_extenders: {  }
      path: jobs/my-expired
      title: 'My expired jobs'
      defaults:
        title: false
        filters: false
        filter_groups: false
        sorts: false
      display_description: ''
      filters:
        publish_end:
          id: publish_end
          table: search_api_index_contacts_job_index
          field: publish_end
          relationship: none
          group_type: group
          admin_label: ''
          operator: '<'
          value:
            min: ''
            max: ''
            value: now
            type: offset
          group: 1
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            placeholder: ''
            min_placeholder: ''
            max_placeholder: ''
            operator_limit_selection: false
            operator_list: {  }
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          plugin_id: search_api_date
        closing:
          id: closing
          table: search_api_index_contacts_job_index
          field: closing
          relationship: none
          group_type: group
          admin_label: ''
          operator: '<'
          value:
            min: ''
            max: ''
            value: now
            type: offset
          group: 1
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            placeholder: ''
            min_placeholder: ''
            max_placeholder: ''
            operator_limit_selection: false
            operator_list: {  }
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          plugin_id: search_api_date
      filter_groups:
        operator: AND
        groups:
          1: OR
      sorts:
        publish_end:
          id: publish_end
          table: search_api_index_contacts_job_index
          field: publish_end
          relationship: none
          group_type: group
          admin_label: ''
          order: DESC
          exposed: true
          expose:
            label: Expired
          plugin_id: search_api
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url
        - url.query_args
        - 'url.query_args:sort_by'
        - 'url.query_args:sort_order'
        - user
        - user.roles
      tags: {  }
  my_pending:
    display_plugin: page
    id: my_pending
    display_title: 'My pending'
    position: 3
    display_options:
      display_extenders: {  }
      path: jobs/my-pending
      title: 'My pending jobs'
      defaults:
        title: false
        filters: false
        filter_groups: false
        sorts: false
      display_description: ''
      filters:
        publish_start:
          id: publish_start
          table: search_api_index_contacts_job_index
          field: publish_start
          relationship: none
          group_type: group
          admin_label: ''
          operator: empty
          value:
            min: ''
            max: ''
            value: ''
            type: date
          group: 1
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            operator_limit_selection: false
            operator_list: {  }
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          plugin_id: search_api_date
        publish_start_1:
          id: publish_start_1
          table: search_api_index_contacts_job_index
          field: publish_start
          relationship: none
          group_type: group
          admin_label: ''
          operator: '>'
          value:
            min: ''
            max: ''
            value: now
            type: offset
          group: 1
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            operator_limit_selection: false
            operator_list: {  }
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          plugin_id: search_api_date
      filter_groups:
        operator: AND
        groups:
          1: OR
      sorts:
        created:
          id: created
          table: search_api_index_contacts_job_index
          field: created
          relationship: none
          group_type: group
          admin_label: ''
          order: DESC
          exposed: true
          expose:
            label: Created
          plugin_id: search_api
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url
        - url.query_args
        - 'url.query_args:sort_by'
        - 'url.query_args:sort_order'
        - user
        - user.roles
      tags: {  }
